%global sum	Pen-based journal and PDF annotator

Name:		xournal
Summary:	%{sum}
Version:	0.4.8.2016
Release:	%mkrel 7
Source:		https://downloads.sourceforge.net/project/%{name}/%{name}//%{version}/%{name}-%{version}.tar.gz
URL:		http://xournal.sourceforge.net/
License:	GPLv2
Group:		Office/Utilities
BuildRequires:	imagemagick
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(gtk+-2.0) >= 2.10.0
BuildRequires: pkgconfig(libgnomecanvas-2.0) >= 2.4.0
BuildRequires: pkgconfig(poppler-glib) >= 0.5.4
BuildRequires: pkgconfig(x11)
# For pdftoppm: see http://forum.mandriva.com/viewtopic.php?t=92135
Requires:	poppler

%description
Xournal is an application for note taking, sketching, keeping a journal using a
stylus.  It is similar to Microsoft Windows Journal or to other alternatives
such as Jarnal, Gournal, and NoteLab.

%prep
%setup -q

%build
./autogen.sh
%configure
%make_build

%install
%makeinstall

# menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=Xournal
Comment=%{sum}
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;Office;
MimeType=text/pdf;text/x-pdf;application/pdf;application/x-pdf;application/x-xoj;
EOF

# application/x-xoj mimetype support & mimetype icons
install -D -T %{name}.xml %{buildroot}/%{_datadir}/mime/packages/%{name}.xml
mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/mimetypes
ln -s %{_datadir}/%{name}/pixmaps/xoj.svg %{buildroot}%{_iconsdir}/hicolor/scalable/mimetypes/gnome-mime-application-x-xoj.svg
ln -s %{_datadir}/%{name}/pixmaps/xoj.svg %{buildroot}%{_iconsdir}/hicolor/scalable/mimetypes/application-x-xoj.svg

# icons
mkdir -p %{buildroot}%{_liconsdir}
convert -size 48x48 pixmaps/%{name}.png %{buildroot}/%{_liconsdir}/%{name}.png
mkdir -p %{buildroot}/%{_iconsdir}
convert -size 32x32 pixmaps/%{name}.png %{buildroot}/%{_iconsdir}/%{name}.png
mkdir -p %{buildroot}/%{_miconsdir}
convert -size 16x16 pixmaps/%{name}.png %{buildroot}/%{_miconsdir}/%{name}.png

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README html-doc/*
%{_bindir}/%{name}
%{_datadir}/applications/*
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/%{name}
%{_iconsdir}/hicolor/scalable/mimetypes/*x-xoj.svg
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog
* Thu Mar 31 2022 umeabot <umeabot> 0.4.8.2016-7.mga9
+ Revision: 1836729
- Mageia 9 Mass Rebuild

* Tue May 19 2020 doktor5000 <doktor5000> 0.4.8.2016-6.mga8
+ Revision: 1586249
-added missing application/x-xoj MimeType support & icons

* Tue May 19 2020 doktor5000 <doktor5000> 0.4.8.2016-5.mga8
+ Revision: 1586231
- added missing MimeType in .desktop file

* Wed Apr 15 2020 danf <danf> 0.4.8.2016-4.mga8
+ Revision: 1567577
- Fix Comment= in .desktop file to stop referring to debug sources

* Fri Feb 14 2020 umeabot <umeabot> 0.4.8.2016-3.mga8
+ Revision: 1518887
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.4.8.2016-2.mga7
+ Revision: 1301956
- Mageia 7 Mass Rebuild

* Mon Sep 04 2017 joequant <joequant> 0.4.8.2016-1.mga7
+ Revision: 1151097
- update version

* Mon Nov 28 2016 luigiwalser <luigiwalser> 0.4.8-6.mga6
+ Revision: 1070652
- rebuild for poppler

* Sat Aug 13 2016 luigiwalser <luigiwalser> 0.4.8-5.mga6
+ Revision: 1046207
- test rebuild for poppler

* Wed Feb 03 2016 umeabot <umeabot> 0.4.8-4.mga6
+ Revision: 934017
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.8-3.mga5
+ Revision: 741784
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.8-2.mga5
+ Revision: 690743
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 joequant <joequant> 0.4.8-1.mga5
+ Revision: 669382
- upgrade to 0.4.8
- update to 0.4.7

* Fri Oct 18 2013 umeabot <umeabot> 0.4.5-6.mga4
+ Revision: 520743
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.4.5-5.mga3
+ Revision: 387293
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Office/Other -> Office/Utilities

* Sun Jan 06 2013 pterjan <pterjan> 0.4.5-4.mga3
+ Revision: 340082
- Fix group
- Fix for automake 1.13

* Tue Sep 27 2011 fwang <fwang> 0.4.5-3.mga2
+ Revision: 149530
- clean br
- add fedora patches to fix build with latest poppler
+ ovitters <ovitters>
- rebuild for new poppler
+ ahmad <ahmad>
- Change libpoppler-*-devel BR to pkgconfig style

* Mon Apr 11 2011 nanardon <nanardon> 0.4.5-2.mga1
+ Revision: 83203
- mdv cleanup
- imported package xournal


* Thu Dec 30 2010 Funda Wang <fwang@mandriva.org> 0.4.5-2mdv2011.0
+ Revision: 626170
- rebuild for new poppler

* Sun Nov 29 2009 Jérôme Brenier <incubusss@mandriva.org> 0.4.5-1mdv2011.0
+ Revision: 471383
- BuildRequires : libpoppler-glib-devel
- new version 0.4.5
- fix license tag
- cosmetic changes (specfile policy)

* Mon Sep 21 2009 Thierry Vignaud <tv@mandriva.org> 0.4.2.1-5mdv2010.0
+ Revision: 446262
- rebuild

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 0.4.2.1-4mdv2009.1
+ Revision: 350056
- 2009.1 rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Mon Aug 11 2008 Adam Williamson <awilliamson@mandriva.org> 0.4.2.1-3mdv2009.0
+ Revision: 270892
- requires poppler (for pdftoppm)

* Sat Aug 09 2008 Thierry Vignaud <tv@mandriva.org> 0.4.2.1-2mdv2009.0
+ Revision: 269806
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Jun 11 2008 Austin Acton <austin@mandriva.org> 0.4.2.1-1mdv2009.0
+ Revision: 217827
- sync
- new version

* Mon Mar 03 2008 Austin Acton <austin@mandriva.org> 0.4.1-2mdv2008.1
+ Revision: 178071
- improve menu entry

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 30 2007 Funda Wang <fwang@mandriva.org> 0.4.1-1mdv2008.1
+ Revision: 103805
- New version 0.4.1

* Tue Sep 04 2007 Funda Wang <fwang@mandriva.org> 0.4.0.1-1mdv2008.0
+ Revision: 78966
- New version 0.4.0.1

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Wed Aug 22 2007 Austin Acton <austin@mandriva.org> 0.4-1mdv2008.0
+ Revision: 68810
- Import xournal

